Get your calls destination reports
Fetch calls destination report based on your inbound and outbound CDR data. Destination report represents the count of calls dialed to a country during given time period and the total price for that calls.
For calls destination reports, time period parameters filter by calldate/start_time field. If no time filtration is provided in the request, by default report will be returned for the current day.
Query Parameters
Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.
Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.
Header Parameters
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/reports/calls/destination" \ -H "Authorization: string"{
"code": 0,
"data": [
{
"cost": 0,
"count": 0,
"direction_code": "string"
}
],
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}